Subject: bug#34 closed by Stefan Monnier <[email-masked]> (Re: set-fill-column wants a number)

From: [email-masked] (Emacs bug Tracking System)

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#34: 23.0.60; set-fill-column wants a number

It has been closed by Stefan Monnier <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Stefan Monnier <[email-masked]> by
replying to this email.

-- 
34: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=34
Emacs Bug Tracking System
Contact [email-masked] with problems
>From [email-masked] Fri Apr  4 09:23:43 2008
From: Stefan Monnier <[email-masked]>
To: [email-masked]
Subject: Re: set-fill-column wants a number
Date: Fri, 04 Apr 2008 12:23:32 -0400

I just changed the default behavior of C-x f so it prompts for a line
number rather than signalling an error.

        Stefan

>From [email-masked] Mon Mar  3 12:48:20 2008
Resent-Message-ID: <[email-masked]>
Resent-To: [email-masked]
Resent-From: Stefan Monnier <[email-masked]>
Resent-Date: Mon, 03 Mar 2008 15:47:59 -0500
To: [email-masked]
From: Peter Dyballa <[email-masked]>
Date: Mon, 3 Mar 2008 17:33:25 +0100
Cc: 
Subject: 23.0.60; set-fill-column wants a number
Sender: emacs-devel-bounces+monnier=[email-masked]

Hello!

When I position the text cursor somewhere on a line and type C-x f to =20=

set the fill column, an error is reported:

	set-fill-column: set-fill-column requires an explicit argument

The documentation tells:

	C-x f runs the command set-fill-column, which is an interactive
	compiled Lisp function in `simple.el'.
=09
	It is bound to C-x f.
=09
	(set-fill-column arg)
=09
	Set `fill-column' to specified argument.
	Use C-u followed by a number to specify a column.
	Just C-u as argument means to use the current column.

This does not explain the error. The last seems to explain that C-u C-=20=

x f is necessary. What is then C-x f good for? I remember that I =20
could change the value of fill-column according to its documentation =20
(excerpt):

	Interactively, you can set the buffer local value using C-x f.

In GNU Emacs 23.0.60.1 (powerpc-apple-darwin8.11.0, X toolkit, Xaw3d =20
scroll bars)
  of 2008-03-02 on Latsche.local
Windowing system distributor `The XFree86 Project, Inc', version =20
11.0.40400000
configured using `configure  '--without-pop' '--without-sound' '--=20
with-xft' '--with-libotf' '--with-dbus' '--with-x-toolkit=3Dathena' '--=20=

enable-font-backend' '--enable-locallisppath=3D/Library/Application =20
Support/Emacs/calendar23:/Library/Application Support/Emacs/caml:/=20
Library/Application Support/Emacs:/sw/share/emacs21/site-lisp/elib' =20
'PKG_CONFIG_PATH=3D/sw/lib/freetype219/lib/pkgconfig:/sw/lib/=20
fontconfig2/lib/pkgconfig:/sw/lib/pkgconfig:/sw/lib/system-openssl/=20
lib/pkgconfig:/sw/share/pkgconfig:/usr/lib/pkgconfig:/usr/local/lib/=20
pkgconfig:/usr/local/clamXav/lib/pkgconfig:/usr/X11R6/lib/pkgconfig' =20
'CPPFLAGS=3D-no-cpp-precomp -D__BIND_NOSTATIC -I/sw/lib/fontconfig2/=20
include -I/sw/lib/freetype219/include -I/sw/lib/freetype219/include/=20
freetype2 -idirafter /usr/X11R6/include' 'CFLAGS=3D-ggdb -gfull -=20
bind_at_load -Wno-pointer-sign -pipe -fPIC -mcpu=3D7450 -mtune=3D7450 -=20=

mno-powerpc64 -O0' 'LDFLAGS=3D-bind_at_load -dead_strip -=20
multiply_defined suppress -L/sw/lib/fontconfig2/lib -L/sw/lib/=20
freetype219/lib''

Important settings:
   value of $LC_ALL: nil
   value of $LC_COLLATE: nil
   value of $LC_CTYPE: de_DE.UTF-8
   value of $LC_MESSAGES: nil
   value of $LC_MONETARY: nil
   value of $LC_NUMERIC: nil
   value of $LC_TIME: nil
   value of $LANG: de_DE.UTF-8
   value of $XMODIFIERS: nil
   locale-coding-system: utf-8-unix
   default-enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
   tooltip-mode: t
   mouse-wheel-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   global-auto-composition-mode: t
   auto-composition-mode: t
   auto-compression-mode: t
   line-number-mode: t
   transient-mark-mode: t

--
Mit friedvollen Gr=FC=DFen

   Pete

Ein Faulpelz ist ein Mensch, der sich nicht die Arbeit macht, sein =20
Nichtstun zu begr=FCnden.	(Gabriel Laub)